/***********************************************************************
This software module was originally developed by Yoram Elichai
(Vimatix Inc.) in the course of development of the MPEG-4
Systems (ISO/IEC 14496-1) standard. This software module is an implementation
of a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as
specified by the MPEG-4 Systems (ISO/IEC 14496-1) standard. ISO/IEC
gives users of the MPEG-4 Systems (ISO/IEC 14496-1) free license to
this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-4 Systems (ISO/IEC
14496-1). Those intending to use this software module in hardware or
software products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. Vimatix Inc. retains full right
to use the code for his/her own purpose, assign or donate the code to a
third party and to inhibit third parties from using the code for non
MPEG-4 Systems (ISO/IEC 14496-1) conforming products. This copyright
notice must be included in all copies or derivative works.
Copyright  2003
************************************************************************

For more information or to receive an up to date version of this module,
you may contact Yoram Elichai at yorame@vimatix.com .
----------------------------------------------------------------------*/
/*****************************
 ***	EmbedAgpFit.c   ***
 *****************************/

#include	<stdio.h>   
#include	<math.h>
#include	"AgpTool.h"

int
agp_countor_link( gp_array *agp, int mbr, tl_type tlink[] )
{
gp_type	*gp;
tl_type	*tl;
link_type	*l;
int	i,	j,	no;


	no = 0;
	for( i = 0 ; i < agp->Ni ; i++ )
		for( j = 0 ; j < agp->Nj ; j++ ){
			gp = &agp->gp[i][j];
 
			for( l = gp->link ; l != NULL ; l = l->nl ){
				if( ( l->Fbr == 0 ) || !(mbr & (1<<l->br)))	continue;

				tl = &tlink[(no)];
				(no)++;

				tl->ctr.x = gp->ctr.x + l->ctr.x;
				tl->ctr.y = gp->ctr.y + l->ctr.y;
				tl->l = l;

				tl->mbr = ( 1<<l->br) | ( 1<<l->br1);				
			}
		}

	return( no );
}
