/***********************************************************************
This software module was originally developed by Yoram Elichai
(Vimatix Inc.) in the course of development of the MPEG-4
Systems (ISO/IEC 14496-1) standard. This software module is an implementation
of a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as
specified by the MPEG-4 Systems (ISO/IEC 14496-1) standard. ISO/IEC
gives users of the MPEG-4 Systems (ISO/IEC 14496-1) free license to
this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-4 Systems (ISO/IEC
14496-1). Those intending to use this software module in hardware or
software products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. Vimatix Inc. retains full right
to use the code for his/her own purpose, assign or donate the code to a
third party and to inhibit third parties from using the code for non
MPEG-4 Systems (ISO/IEC 14496-1) conforming products. This copyright
notice must be included in all copies or derivative works.
Copyright  2003
************************************************************************

For more information or to receive an up to date version of this module,
you may contact Yoram Elichai at yorame@vimatix.com .
----------------------------------------------------------------------*/
/*********************
 ***	RlType.h   ***
 *********************/

#ifndef         RL_LINK
#define         RL_LINK


#include	"GpType/GpType.h"



	/* RlLink.c */
void	rl_link_get_prm(GP_prm **prm, int *prm_no, void (**check)() );
void	rl_link_get_group( GP_prm_group **prm_group, int *prm_group_no );

void	rl_link_init( char *file );

void	rl_link_agp( gp_array *agp );

void	rl_link_1( gp_array *agp, link_type *link );

void	rl_link_countor_agp( gp_array *agp );

void	rl_link_brn( jnt_type *jnt, int bno, gp_array *agp );


#endif
