/***********************************************************************
This software module was originally developed by Yoram Elichai
(Vimatix Inc.) in the course of development of the MPEG-4
Systems (ISO/IEC 14496-1) standard. This software module is an implementation
of a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as
specified by the MPEG-4 Systems (ISO/IEC 14496-1) standard. ISO/IEC
gives users of the MPEG-4 Systems (ISO/IEC 14496-1) free license to
this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-4 Systems (ISO/IEC
14496-1). Those intending to use this software module in hardware or
software products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. Vimatix Inc. retains full right
to use the code for his/her own purpose, assign or donate the code to a
third party and to inhibit third parties from using the code for non
MPEG-4 Systems (ISO/IEC 14496-1) conforming products. This copyright
notice must be included in all copies or derivative works.
Copyright  2003
************************************************************************

For more information or to receive an up to date version of this module,
you may contact Yoram Elichai at yorame@vimatix.com .
----------------------------------------------------------------------*/
#ifndef		_ENC_IN_ 
#define		_ENC_IN_

#include	<stdio.h>

#include        "Ubst/BstType.h"

#include        "GpType/GpType.h"

#include        "Coding/CodingBuffer.h" 


#define         BUF_SIZE        (16*MAX_GP*MAX_GP)




	/* EncFile.c */
void	encoding_agp_file_write_header( FILE *fp,
				int type, int row, int column,
				int bgp, int Lcoding );
 
 
void	encoding_agp_file_append_huffman( FILE *cfd, char *name,
			int sp, int *msg, int *bits, int *cotype );
 
int	encoding_agp_file_append_bst( FILE *cfd, int cotype, bst_type *bst ); 
 
int	encoding_agp_file_append_file( FILE *cfd, int cotype, char *file );



	/* EncodingInf.c */

void	encoding_print_row( FILE *fp, char *s, int nf, int link, int bits);

void	encoding_print_end_line( FILE *fp, char *s, int nf,
					int geo, int bg, int val[] );

void	encoing_print_inf( FILE *fp, char *s, int bits, int no );

#endif
