/***********************************************************************
This software module was originally developed by Yoram Elichai
(Vimatix Inc.) in the course of development of the MPEG-4
Systems (ISO/IEC 14496-1) standard. This software module is an implementation
of a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as
specified by the MPEG-4 Systems (ISO/IEC 14496-1) standard. ISO/IEC
gives users of the MPEG-4 Systems (ISO/IEC 14496-1) free license to
this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-4 Systems (ISO/IEC
14496-1). Those intending to use this software module in hardware or
software products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. Vimatix Inc. retains full right
to use the code for his/her own purpose, assign or donate the code to a
third party and to inhibit third parties from using the code for non
MPEG-4 Systems (ISO/IEC 14496-1) conforming products. This copyright
notice must be included in all copies or derivative works.
Copyright  2003
************************************************************************

For more information or to receive an up to date version of this module,
you may contact Yoram Elichai at yorame@vimatix.com .
----------------------------------------------------------------------*/
/************************************************************************/
/*									*/
/*           RlType2.h   	         				*/
/*									*/
/************************************************************************/

#ifndef         RL_TYPE2
#define         RL_TYPE2


#include        <malloc.h>
#include	"UGeoApp/GeoApp.h"
#include	"GpType/GpType.h"



//Grisha 31.05.01 ...

extern	gapp_prm Qgprm;
extern	float	Cang;
extern  rl_type	Rl;
extern  int	Frl;
extern	float Clen_d;

	/* RlLink2.c */
void	rl_link_agp_2( gp_array *agp );

void	rl_link_brn_2( jnt_type *jnt, int bno, gp_array *agp );

	/* RlTool2.c */
void	rl_approximate_2( gapp_type *gapp, int i0, int i1,
			vec2d *p0, vec2d *p1, gapp_prm *gprm, rl_type *rl );

	/* RlCornerArc.c */
void	rl_link_corner_arc( rl_aux laux[], int lno, gapp_type *gapp );

void	rllink_find_arcs( link_type *link, vec2d *gctr,
				int *n_arcs_groupe, link_type **links_arcs_groupe);

void	rllink_find_arcs_union(int *n_arcs_groupe, 
				link_type **links_arcs_groupe );

void	rllink_find_corners( link_type *link, vec2d *gctr,
				int *n_corners, link_type **links_corners );

//... Grisha 31.05.01



#endif
