/***********************************************************************
This software module was originally developed by Yoram Elichai
(Vimatix Inc.) in the course of development of the MPEG-4
Systems (ISO/IEC 14496-1) standard. This software module is an implementation
of a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as
specified by the MPEG-4 Systems (ISO/IEC 14496-1) standard. ISO/IEC
gives users of the MPEG-4 Systems (ISO/IEC 14496-1) free license to
this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-4 Systems (ISO/IEC
14496-1). Those intending to use this software module in hardware or
software products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. Vimatix Inc. retains full right
to use the code for his/her own purpose, assign or donate the code to a
third party and to inhibit third parties from using the code for non
MPEG-4 Systems (ISO/IEC 14496-1) conforming products. This copyright
notice must be included in all copies or derivative works.
Copyright  2003
************************************************************************

For more information or to receive an up to date version of this module,
you may contact Yoram Elichai at yorame@vimatix.com .
----------------------------------------------------------------------*/


#include	"Uigp/igp.h"
#include	"ImageType/ImageType.h"








image_type *
image_Rgb_Yiq( image_type *im, int Falloc )
{
image_type	*tim;
u_int	*sp,	*tp;
int	row,	col;
int	r,	g,	b;
int	y,	q,	a;
int	i,	j;



	row = IMAGE_ROW(im);
	col = IMAGE_COLUMN(im);


	if( Falloc == 1 )
		tim = image_create( row, col, 4, 1, NULL );
	else	tim = im;


	sp = IMAGE4_DATA( im );
	tp = IMAGE4_DATA( tim );



	for( i = 0 ; i < row ; i++ ){
		for( j = 0 ; j < col ; j++ ){

			r = IMAGE4_RED( *sp );
			g = IMAGE4_GREEN( *sp );
			b = IMAGE4_BLUE( *sp );

			sp++;


			y = 0.3333*( r + g+ b );

			a = 0.25*( 2*r - g- b ) + 128;

			q = 0.5*( g- b ) + 128;

			*tp = IMAGE4_RGB( y, a, q );

			tp++;
		}
	}

	return( tim );
}
