/***********************************************************************
This software module was originally developed by Yoram Elichai
(Vimatix Inc.) in the course of development of the MPEG-4
Systems (ISO/IEC 14496-1) standard. This software module is an implementation
of a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as
specified by the MPEG-4 Systems (ISO/IEC 14496-1) standard. ISO/IEC
gives users of the MPEG-4 Systems (ISO/IEC 14496-1) free license to
this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-4 Systems (ISO/IEC
14496-1). Those intending to use this software module in hardware or
software products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. Vimatix Inc. retains full right
to use the code for his/her own purpose, assign or donate the code to a
third party and to inhibit third parties from using the code for non
MPEG-4 Systems (ISO/IEC 14496-1) conforming products. This copyright
notice must be included in all copies or derivative works.
Copyright  2003
************************************************************************

For more information or to receive an up to date version of this module,
you may contact Yoram Elichai at yorame@vimatix.com .
----------------------------------------------------------------------*/
#include <coeccntx.h>
#include <eikenv.h>
#include <e32def.h> 



extern "C" void SymbAlert1()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
	eikonEnv->AlertWin(_L("in vim_read_scene_from_file before <vim_read_file> "));		
}


extern "C" void SymbAlert2()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" after vimIo_openR_file"));		
}


extern "C" void SymbAlert3()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" after vimIo_get_version"));		
}

extern "C" void SymbAlert4()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L("after vim_read_header"));		
}

extern "C" void SymbAlert5()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L("after vimage_alloc"));		
}

extern "C" void SymbAlert6()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L("after vim_read_block"));		
}


extern "C" void SymbAlert7()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before bimage_create"));		
}


extern "C" void SymbAlert8()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before vim_read_default_anim"));		
}


extern "C" void SymbAlert9()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" after vim_read_default_anim"));		
}


extern "C" void SymbAlert10()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" end of vimread"));		
}


extern "C" void SymbAlert11()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" after vimage_aux"));		
}

extern "C" void SymbAlert12()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" after bimagecreate"));		
}

extern "C" void SymbAlert13()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" after bimage_aux"));		
}


extern "C" void SymbAlert14()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L("after vim->Mbr = vim->bim->Mbr"));		
}

extern "C" void SymbAlert15()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L("before oimage_aux"));		
}

extern "C" void SymbAlert16()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" after oimage_aux"));		
}


extern "C" void SymbAlert17()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" start of oimage_aux before agp_depth_br_range"));		
}

extern "C" void SymbAlert18()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before agp_depth_range"));		
}
	
extern "C" void SymbAlert19()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before adepth_rescale"));		
}
	
//------------------------------------------------	
extern "C" void SymbAlert20()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before agp_depth_br_range"));		
}


extern "C" void SymbAlert21()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before agp_layer_add_const"));		
}
	

	// 
extern "C" void SymbAlert22()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before skl_br_add"));		
}


	// 
extern "C" void SymbAlert23()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before oimage_view_init"));		
}


	// 
extern "C" void SymbAlert24()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before agp_flipH"));		
}

extern "C" void SymbAlert25()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before n3_prime_agp"));		
}


	// 
extern "C" void SymbAlert26()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before agp_dpeth_add_bgp"));		
}

	// 
extern "C" void SymbAlert27()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before render_agp_aux"));		
}

	
	// 
extern "C" void SymbAlert28()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before agp_pl_init"));		
}
	

	// 
extern "C" void SymbAlert29()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before ocp_alloc"));		
}


	// 
extern "C" void SymbAlert30()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before n3_prime_agp"));		
}

	// 
extern "C" void SymbAlert31()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before agp_dpeth_add_bgp"));		
}
	
		// 
extern "C" void SymbAlert32()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before render_agp_aux"));		
}

		// 
extern "C" void SymbAlert33()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before ocp_alloc"));		
}

	// 
extern "C" void SymbAlert34()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before oimage_skl_aux"));		
}


extern "C" void SymbAlert35()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" oimage_skl_aux::before skl_mass_point"));		
}

extern "C" void SymbAlert36()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" before agp_skl_aux"));		
}

extern "C" void SymbAlert37()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" agp_skl_aux::before skl_set_bes"));		
}

extern "C" void SymbAlert38()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" agp_skl_aux::after loop before agp_pl"));		
}

extern "C" void SymbAlert39()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" agp_skl_aux::after second loop before agp_pl"));		
}

extern "C" void SymbAlert40()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" agp_skl_aux::end"));		
}



extern "C" void SymbAlert42()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" vim_read_agp_block::decoding_agp_from_bst"));		
}

	
		// 
extern "C" void SymbAlert43()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" vim_read_agp_block::vim_read_insert_agp"));		
}
			
			// 
			
extern "C" void SymbAlert44()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" vim_read_agp_block::bimage_create"));		
}
			

extern "C" void SymbAlert45()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" vim_read_agp_block::cast_set_agp"));		
}


extern "C" void SymbAlert46()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" decagpfrbst::agp_alloc"));		
}


extern "C" void SymbAlert47()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" decagpfrbst::d_bst_read_header"));		
}
	
	// 
extern "C" void SymbAlert48()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" decagpfrbst::coding_init"));		
}
	
	// 
extern "C" void SymbAlert49()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" decagpfrbst::agp_clear"));		
}
	
	// 
extern "C" void SymbAlert50()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" decagpfrbst::d_ile_cut_bst"));		
}
	
	// 
extern "C" void SymbAlert51()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" decagpfrbst::decoding_agp_huffman"));		
}
	
	// 
extern "C" void SymbAlert52()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" decagpfrbst::end"));		
}

extern "C" void SymbAlert53()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" decoding_center_huffman"));		
}


extern "C" void SymbAlert54()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" decoding_joint_huffman"));		
}



extern "C" void SymbAlert55()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" decoding_link_huffman( cprm->lc, bst_file );"));		
}


extern "C" void SymbAlert56()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" decoding_profile_huffman( cprm->pc, bst_file );"));		
}


extern "C" void SymbAlert57()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" decoding_n3_huffman( cprm->nc, bst_file );"));		
}
 

	
extern "C" void SymbAlert58()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" decoding_ep_huffman( cprm->bc, bst_file );"));		
}


extern "C" void SymbAlert59()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" decoding_ridge_huffman"));		
}


  
extern "C" void SymbAlert64()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L("Br_f dec_agp_file_cut_huffman_cst( bst_file );"));		
}        


   
extern "C" void SymbAlert65()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L(" Fbr_f dec_agp_file_cut_huffman_cst( bst_file );"));		
}


extern "C" void SymbAlert66()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L("end of decoding_agp_huffman"));		
}



extern "C" void SymbAlert67()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
//	eikonEnv->AlertWin(_L("decoding_agp( agp, cprm, bst"));		
}
		
extern "C" void SymbAlert68()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
	eikonEnv->AlertWin(_L("decoding_agp_depth"));		
}

extern "C" void SymbAlert69()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
	eikonEnv->AlertWin(_L("bst_free( bst "));		
}

extern "C" void SymbAlert70()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
	eikonEnv->AlertWin(_L("decoding_agp_close"));		
}

extern "C" void SymbAlert71()
{
	CEikonEnv* eikonEnv=CEikonEnv::Static();
	eikonEnv->AlertWin(_L("coding_free"));		
}

extern "C" void SymbAlert(char *pChar)
{

	TBuf16<255> buff;
	buff.Copy(_L("_"));
	
	TChar ch;
	char *pScan;
	
	
	for ( pScan = pChar; *pScan != 0; pScan++)
	{
		ch = *pScan;
		buff.Append(ch);
	}
	
	CEikonEnv* eikonEnv=CEikonEnv::Static();
	eikonEnv->AlertWin(buff);		
}


extern "C" void SymbAlertF(char *pChar, int iValue)
{
/*
	TBuf16<255> buff;
	buff.Copy(_L("_"));
	
	TChar ch;
	char *pScan;
	
	
	for ( pScan = pChar; *pScan != 0; pScan++)
	{
		ch = *pScan;
		buff.Append(ch);
	}

	TBuf16<256> tgt;
	tgt.Format(_L("%s%d"),buff, icp);//generates:
	
	CEikonEnv* eikonEnv=CEikonEnv::Static();
	eikonEnv->AlertWin(tgt);		
*/	

	SymbAlert(pChar);

	TBuf16<256> tgt;
	tgt.Format(_L("%d"), iValue);//generates:
	
	CEikonEnv* eikonEnv=CEikonEnv::Static();
	eikonEnv->AlertWin(tgt);		
}




